package cv

type cvData struct {
    Title string
    BaseURL string
    Info    info
    Experience []experience
    Skills map[string][]string
    Projects []project
}

type info struct {
    Name string
    Title string
    BirthDate string
    Location string
    Contacts      contacts
    Profile string
}

type experience struct {
    Title string
    Company string
    Date string
    Tasks []string
}

type project struct {
    Title string
    Link string
    Date string
    Description string
    Tasks []string
    Links []link
}

type link struct {
    Link string
    Text string
}

type contacts struct {
    Email string
    Phone string
    LinkedIn string
    GitHub string
}
